## net.i2p.router.web
Class ConfigRestartBean

    java.lang.Object
      net.i2p.router.web.ConfigRestartBean

    public class ConfigRestartBean

extends java.lang.Object

simple helper to control restarts/shutdowns in the left hand nav

Constructor Summary
`ConfigRestartBean()`

Method Summary
`static java.lang.String` `getNonce()`
`static java.lang.String` `renderStatus(java.lang.String urlBase, java.lang.String action, java.lang.String nonce)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigRestartBean

    public ConfigRestartBean()

Method Detail

### getNonce

    public static java.lang.String getNonce()

### renderStatus

    public static java.lang.String renderStatus(java.lang.String urlBase,
                                                java.lang.String action,
                                                java.lang.String nonce)